Skip to main content
GET
/
issues
/
sca
/
{issue_id}
Get SCA Issue
curl --request GET \
  --url https://www.corgea.app/api/v1/issues/sca/{issue_id} \
  --header 'CORGEA-TOKEN: <api-key>'
{
  "status": "ok",
  "issue": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "details": "<string>",
    "cve": "<string>",
    "package": {
      "name": "<string>",
      "version": "<string>",
      "ecosystem": "<string>",
      "fix_version": "<string>"
    },
    "location": {
      "path": "<string>"
    },
    "reachability": {
      "description": "<string>",
      "usages": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "filename": "<string>",
          "code_line": "<string>",
          "reasoning": "<string>"
        }
      ]
    },
    "cvss_score": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.corgea.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

CORGEA-TOKEN
string
header
required

API key for authentication

Path Parameters

issue_id
string<uuid>
required

The ID of the SCA issue

Response

SCA issue details retrieved successfully

status
string
Example:

"ok"

issue
object